aboutsummaryrefslogtreecommitdiff
path: root/lpq-ssh
diff options
context:
space:
mode:
Diffstat (limited to 'lpq-ssh')
-rwxr-xr-xlpq-ssh27
1 files changed, 27 insertions, 0 deletions
diff --git a/lpq-ssh b/lpq-ssh
new file mode 100755
index 0000000..82fecdd
--- /dev/null
+++ b/lpq-ssh
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# LPQ over SSH - Runs lpq in a remote server via SSH
+# Copyright (C) 2017 Silvio Rhatto - rhatto at riseup.net
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# Parameters
+BASENAME="`basename $0`"
+SERVER="$1"
+
+# Check
+if [ -z "$1" ]; then
+ echo "usage: $BASENAME <server>"
+ exit 1
+fi
+
+# Proceed
+ssh $SERVER lpq